Index: asterisk/apps/app_agi.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_agi.c,v
retrieving revision 1.22
diff -u -r1.22 app_agi.c
--- asterisk/apps/app_agi.c	5 Nov 2003 23:43:31 -0000	1.22
+++ asterisk/apps/app_agi.c	1 Dec 2003 04:49:06 -0000
@@ -540,6 +540,10 @@
 			f = ast_read(chan);
 			if (!f) {
 				fdprintf(agi->fd, "200 result=%d (hangup) endpos=%ld\n", 0, sample_offset);
+				/* Strip off last 1/4 second of it */
+				ast_stream_rewind(fs, 250);
+				ast_truncstream(fs);
+
 				ast_closestream(fs);
 				return RESULT_FAILURE;
 			}
@@ -549,6 +553,10 @@
 					/* This is an interrupting chracter */
 					sample_offset = ast_tellstream(fs);
 					fdprintf(agi->fd, "200 result=%d (dtmf) endpos=%ld\n", f->subclass, sample_offset);
+					/* Strip off last 1/4 second of it */
+					ast_stream_rewind(fs, 250);
+					ast_truncstream(fs);
+
 					ast_closestream(fs);
 					ast_frfree(f);
 					return RESULT_SUCCESS;
